'use strict';

/* App Module */

var camotion = angular.module('camotion', [
    'ui.bootstrap',
    'ui.router',
    'luticateUtils',
    'luticateAuth',
    'LocalStorageModule',
    'dialogs.main',
    'ngSanitize'
]);

camotion.config(['$stateProvider', '$urlRouterProvider', '$httpProvider', '$locationProvider',
    function($stateProvider, $urlRouterProvider, $httpProvider, $locationProvider) {



        $locationProvider.html5Mode(true);

        $stateProvider.state('home',{
            url:'/',
            templateUrl:'views/home.html',
            controller:'HomeController',
            revolve:{}
        });

        $stateProvider.state('qcm',{
            url:'/qcm/{id:int}',
            templateUrl:'views/qcm.html',
            controller:'QcmController',
            resolve:{}
        });

        $urlRouterProvider.otherwise('/');

    }])
    .run(['$rootScope', '$state',function ($rootScope, $state) {
        $rootScope.$on('$stateChangeError', function (e, curr, prev) {
            $state.go('login');
        });
    }]);